NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SheetMetal::ThreeBendCornerBuilder Class Reference

The Three Bend Corner feature class. More...

Inheritance diagram for NXOpen::Features::SheetMetal::ThreeBendCornerBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  OriginTypes { OriginTypesBendCenter, OriginTypesCornerPoint }
 This enum represents Origin type. More...
 
enum  TreatmentTypeOptions {
  TreatmentTypeOptionsOpen, TreatmentTypeOptionsClosed, TreatmentTypeOptionsCircularCutout, TreatmentTypeOptionsUCutout,
  TreatmentTypeOptionsVCutout
}
 This enum represents the corner treatment type. More...
 

Public Member Functions

void AddFacePair (NXOpen::Face *firstFace, NXOpen::Face *secondFace)
 Input a bend face pair for the three bend corner feature. More...
 
bool BlendMiter ()
 Returns the option for smooth transition from miter to cutout edges. More...
 
NXOpen::ExpressionBlendMiterRadius ()
 Returns the blend miter radius used for three bend corner miter treatment. More...
 
NXOpen::ExpressionDiameter ()
 Returns the diameter used for circular, u and v cutout corner treatments. More...
 
NXOpen::ExpressionFlangeClearance ()
 Returns the flange clearance used for three bend corner miter treatment. More...
 
void GetFacePair (int index, NXOpen::Face **firstFace, NXOpen::Face **secondFace)
 Gets the bend face pair at the given index. More...
 
bool MiterCorner ()
 Returns whether the corner will be closed using miter. More...
 
NXOpen::ExpressionMiterRootRadius ()
 Returns the miter root radius used for three bend corner miter treatment. More...
 
int NumberOfFacePairs ()
 Returns the number of face pairs already identified for the three bend corner feature. More...
 
NXOpen::ExpressionOffset ()
 Returns the offset used for circular, u and v cutout corner treatments. More...
 
NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::OriginTypes OriginType ()
 Returns the relief origin used for circular, u and v cutout corner treatments. More...
 
void RemoveFacePair (NXOpen::Face *firstFace, NXOpen::Face *secondFace)
 Removes a face pair (that represents a unique corner) from the list of face pairs already added. More...
 
void SetBlendMiter (bool blendMiter)
 Sets the option for smooth transition from miter to cutout edges. More...
 
void SetDiameter (const NXString &diameter)
 The diameter used for the circular cutout corner treatment. More...
 
void SetDiameter (const char *diameter)
 The diameter used for the circular cutout corner treatment. More...
 
void SetMiterCorner (bool miterCorner)
 Sets whether the corner will be closed using miter. More...
 
void SetOriginType (NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::OriginTypes originType)
 Sets the relief origin used for circular, u and v cutout corner treatments. More...
 
void SetTreatmentType (NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptions treatmentType)
 Sets the corner treatment type. More...
 
NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptions TreatmentType ()
 Returns the corner treatment type. More...
 
int ValidateBuilderData ()
 Verify that the builder data is valid for creation of a three bend corner. More...
 
NXOpen::ExpressionVCutoutAngle1 ()
 Returns the angle 1 used for the v cutout treatment. More...
 
NXOpen::ExpressionVCutoutAngle2 ()
 Returns the angle 2 used for the v cutout treatment. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

The Three Bend Corner feature class.

Users can identify multiple input face pairs for each three bend corner feature. Each pair is made up of one face each from adjacent bends. The bends must both have the same radius and sweep angle, and they must also be connected via another adjoining bend.
To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateThreeBendCornerFeatureBuilder

Created in NX4.0.0.

Member Enumeration Documentation

This enum represents Origin type.

Enumerator
OriginTypesBendCenter 

The relief origin will be at the intersection of first bend's centerline and bisector of corner angle.

OriginTypesCornerPoint 

The relief origin will be at the corner point.

This enum represents the corner treatment type.

Enumerator
TreatmentTypeOptionsOpen 

open

TreatmentTypeOptionsClosed 

closed

TreatmentTypeOptionsCircularCutout 

circular cutout

TreatmentTypeOptionsUCutout 

ucutout

TreatmentTypeOptionsVCutout 

vcutout

Member Function Documentation

void NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::AddFacePair ( NXOpen::Face firstFace,
NXOpen::Face secondFace 
)

Input a bend face pair for the three bend corner feature.

This method can be called multiple times for a feature, with each bend face pair representing a unique corner.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
firstFaceA bend face from a bend
secondFaceA bend face from an adjacent bend
bool NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::BlendMiter ( )

Returns the option for smooth transition from miter to cutout edges.


Created in NX9.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::BlendMiterRadius ( )

Returns the blend miter radius used for three bend corner miter treatment.

This only applies when the treatment type is set to NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsClosed or NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsCircularCutout or NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsUCutout or NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsVCutout .


Created in NX9.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::Diameter ( )

Returns the diameter used for circular, u and v cutout corner treatments.

This only applies when the treatment type is set to NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsCircularCutout or NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsUCutout or NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsVCutout .


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::FlangeClearance ( )
void NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::GetFacePair ( int  index,
NXOpen::Face **  firstFace,
NXOpen::Face **  secondFace 
)

Gets the bend face pair at the given index.

The index can vary between zero and one less than the value returned by NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::NumberOfFacePairs .


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
indexIndex of the desired face pair
firstFaceFirst face of the face pair
secondFaceSecond face of the face pair
bool NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::MiterCorner ( )

Returns whether the corner will be closed using miter.


Created in NX9.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::MiterRootRadius ( )

Returns the miter root radius used for three bend corner miter treatment.

This only applies when the treatment type is set to NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsClosed .


Created in NX9.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

int NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::NumberOfFacePairs ( )

Returns the number of face pairs already identified for the three bend corner feature.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::Offset ( )

Returns the offset used for circular, u and v cutout corner treatments.

This only applies when the treatment type is set to NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsCircularCutout or NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsUCutout or NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsVCutout .


Created in NX9.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::OriginTypes NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::OriginType ( )

Returns the relief origin used for circular, u and v cutout corner treatments.

This only applies when the treatment type is set to NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsCircularCutout or NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsUCutout or NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsVCutout .


Created in NX9.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

void NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::RemoveFacePair ( NXOpen::Face firstFace,
NXOpen::Face secondFace 
)

Removes a face pair (that represents a unique corner) from the list of face pairs already added.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
firstFaceA face from an already selected face pair
secondFaceThe other face from the face pair
void NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::SetBlendMiter ( bool  blendMiter)

Sets the option for smooth transition from miter to cutout edges.


Created in NX9.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
blendMiterblendmiter
void NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::SetDiameter ( const NXString diameter)

The diameter used for the circular cutout corner treatment.

This only applies when the treatment type is set to NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsCircularCutout or NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsUCutout or NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsVCutout . .


Deprecated:
Deprecated in NX10.0.0. Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::Diameter instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
diameterThe diameter for the circular cutout corner treatment
void NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::SetDiameter ( const char *  diameter)

The diameter used for the circular cutout corner treatment.

This only applies when the treatment type is set to NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsCircularCutout or NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsUCutout or NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsVCutout . .


Deprecated:
Deprecated in NX10.0.0. Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::Diameter instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
diameterThe diameter for the circular cutout corner treatment
void NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::SetMiterCorner ( bool  miterCorner)

Sets whether the corner will be closed using miter.


Created in NX9.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
miterCornermitercorner
void NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::SetOriginType ( NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::OriginTypes  originType)

Sets the relief origin used for circular, u and v cutout corner treatments.

This only applies when the treatment type is set to NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsCircularCutout or NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsUCutout or NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsVCutout .


Created in NX9.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
originTypeThe relief origin type
void NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::SetTreatmentType ( NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptions  treatmentType)

Sets the corner treatment type.


The NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentType and NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::SetTreatmentType ) specifies how the corner should be treated. Valid options are in NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptions .


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
treatmentTypeThe type of treatment specified for the corner
NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptions NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentType ( )

Returns the corner treatment type.


The NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentType and NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::SetTreatmentType ) specifies how the corner should be treated. Valid options are in NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptions .


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

int NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::ValidateBuilderData ( )

Verify that the builder data is valid for creation of a three bend corner.


If the data in the builder is valid, the return value is 0

Returns
Returns 0 if the data in the builder is valid
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::VCutoutAngle1 ( )

Returns the angle 1 used for the v cutout treatment.

This only applies when the treatment type is set to NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsVCutout .


Created in NX8.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::VCutoutAngle2 ( )

Returns the angle 2 used for the v cutout treatment.

This only applies when the treatment type is set to NXOpen::Features::SheetMetal::ThreeBendCornerBuilder::TreatmentTypeOptionsVCutout .


Created in NX8.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.